/
githubmirror
/
commcare-hq
Обзор
Документация
Войти
/
githubmirror
/
commcare-hq
Код
Запросы
0
Пакеты
0
Релизы
0
Аналитика
Безопасность
master
git-hooks/pre-commit.sh
75 строк
3 KB
Graham Herceg
Update pre-commit hook to use ruff instead of flake8
10 мар 2026, 22:17
10 мар 2026, 22:17
812bad2
Код
Авторство
О чём код?
#!/bin/bash # # An example hook script to verify what is about to be committed. # Called by "git commit" with no arguments. The hook should # exit with non-zero status after issuing an appropriate message if # it wants to stop the commit. # # To enable this hook, rename this file to "pre-commit". if git rev-parse --verify HEAD >/dev/null 2>&1 then against=HEAD else # Initial commit: diff against an empty tree object against=4b825dc642cb6eb9a060e54bf8d69288fbee4904 fi # If you want to allow non-ascii filenames set this variable to true. allownonascii=$(git config hooks.allownonascii) # Redirect output to stderr. exec 1>&2 # Cross platform projects tend to avoid non-ascii filenames; prevent # them from being added to the repository. We exploit the fact that the # printable range starts at the space character and ends with tilde. if [ "$allownonascii" != "true" ] && # Note that the use of brackets around a tr range is ok here, (it's # even required, for portability to Solaris 10's /usr/bin/tr), since # the square bracket bytes happen to fall in the designated range. test $(git diff --cached --name-only --diff-filter=A -z $against | LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0 then echo "Error: Attempt to add a non-ascii file name." echo echo "This can cause problems if you want to work" echo "with people on other platforms." echo echo "To be portable it is advisable to rename the file ..." echo echo "If you know what you are doing you can disable this" echo "check using:" echo echo " git config hooks.allownonascii true" echo exit 1 fi # If there are whitespace errors, print the offending file names and fail. status=0 git diff-index --check --cached $against -- if [ $? != 0 ]; then status=1; fi # --diff-filter=d ignores deleted files pyfiles=($(git diff --staged --name-only --diff-filter=d| grep "\.py$")) if [ -n "$pyfiles" ]; then ruff check "${pyfiles[@]}" if [ $? != 0 ]; then status=1 && echo; fi fi html_or_stylesheets=($(git diff --staged --name-only --diff-filter=d| grep -E "\.(html|css|scss|less)$")) if [ -n "$html_or_stylesheets" ]; then ./node_modules/.bin/prettier --list-different "${html_or_stylesheets[@]}" if [ $? != 0 ]; then status=1; echo "HTML and/or stylesheets above have code style issues." echo "After committing changes with --no-verify, run ./scripts/prettify-changed.sh to fix them." echo fi fi if [ $status != 0 ] then echo 'There are formatting errors in your commit. Commit with --no-verify to proceed without fixing.' exit 1 fi